/*
 * @author lsy
 * @date   2019-09-04
 **/
import 'package:gmalpha_flutter/Annotations/anno/Get.dart';
import 'package:gmalpha_flutter/Annotations/anno/Post.dart';
import 'package:gmalpha_flutter/Annotations/anno/Query.dart';
import 'package:gmalpha_flutter/Annotations/anno/ServiceCenter.dart';
import 'package:gmalpha_flutter/userModel/service/remote/entity/UserEntity.dart';

@ServiceCenter()
abstract class UserLoginApi {
  @Post("user/login")
  UserEntity login(@Query("name") String name, @Query("word") String word);

  @Get("user/info")
  UserEntity getUserInfo(@Query("token") String token);
}
